#ifndef opl3emu_combinator_hh
#define opl3emu_combinator_hh

class Combinator
{
	double counter;
	
	unsigned char freqhi, freqlo, octave;
	
	bool enabled;          // If not enabled, quiet.
	bool additive;         // AM / FM flag
	unsigned feedbacktype; // 0..7
	unsigned waveform;     // 0..7
	bool left, right;
	
	unsigned hz;
	double angle;
	
	class Operator *op;
	
	void calculateherz();
public:
	Combinator() : op(0) { }
	
	void SetOperator(class Operator *ope) { op = ope; }
	
	const bool is_am() const { return additive; }
	
	void WriteA0(unsigned char value);
	void WriteB0(unsigned char value);
	void WriteC0(unsigned char value);
	void WriteE0(unsigned char value);
	
	double Produce(double secs);
};

#endif
