<?php
//TITLE=Feeble OPL3 emulator
$outset = 'euc-jp';
$title = 'OPL3 emulator';
$progname = 'opl3emu';

$text = array(
   '1. Purpose' => "

Emulates the OPL3 audio chip (also known as FM synthesis generator and AdLib chip).
<br>
The package actually contains two versions: One written by me (not quite well working),
and one written by &#20304;&#34276; &#36784;&#34892; (impressive!).
<p>
The package also contains a <a href=\"/src/index/fmdrv\">midi player</a>.
Useful for testing how this works.

", '1. Listen yourself' => "

These samples represent
<a href=\"http://bisqwit.iki.fi/mid/silius/jts-st3.mid\">jts-st3.mid</a>
(Journey to Silius stage 3 theme, sequenced by anonymous) played
with <a href=\"http://oktober.stc.cx/source/fmdrv.html\">fmdrv</a>
through opl3emu, opl3emu2 and real hardware.<p>
<table>
 <tr>
  <th>Source</th>
  <th>File</th>
 </tr>
 <tr>
  <td>opl3emu</td>
  <td><a href=\"/kala/opl3emu-sample1.mp3\">sample1.mp3</a> (760 kB)</td>
 </tr>
 <tr>
  <td>opl3emu2</td>
  <!--td><a href=\"/kala/opl3emu-sample2.mp3\">sample2.mp3</a> (730 kB)</td-->
  <td><a href=\"/kala/opl3emu-sample2b.mp3\">sample2b.mp3</a> (750 kB)</td>
 </tr>
 <tr>
  <td>Genuine OPL3 chip (Sound Blaster AWE32)</td>
  <td><a href=\"/kala/opl3emu-sample3.mp3\">sample3.mp3</a> (600 kB)</td>
 </tr>
</table>
<p>
<em>Offtopic: Btw, the
 <a href=\"http://www.zophar.net/nsf/journe~1.zip\">real song</a>
 is available too at zophar.net. In the referenced file, it's
 the song number 4.</em>

", '1. Copying' => "

opl3emu has been written by Joel Yliluoma, a.k.a.
<a href=\"http://bisqwit.iki.fi/\">Bisqwit</a>,<br>
and is distributed under the following terms:<br>
<blockquote><code>".
str_replace("\n",'<br>',htmlspecialchars(fread(fopen('/WWW/TINYFREELICENSE','r'),filesize('/WWW/TINYFREELICENSE')))).
"</code></blockquote>
<p>
opl3emu2 uses the engine written by Tatsuyuki Sat
and improved by Jarek Burczynski for the MAME project.<br>
I don't know what kind of license does it come with.

", '1. Requirements' => "

GNU make and GNU C++ compiler is probably required.<br>
A sound card (OSS) might prove useful.

", '1. News' => "

In version 1.1.0 I took the newest version of the OPL&nbsp;emulator in MAME
(nowadays maintained apparently by Jarek Burczynski). Seems like the quality
has improved a lot since.

", '1. Unasked questions' => "

Q: So if the emulator isn't written by you, what are you doing here?<br>
A: I was going to write one, and I started that too, but then I found 
   &#20304;&#34276; &#36784;&#34892;'s code. Anyway, I have provided
   here a nice example and a real life application of how to use it ;)

", '1. See also' => "

<ul>
 <li><a href=\"/source/sndtool2.html\">sndtool2</a>, which handles
      NES music, is somewhat related to OPL, although NES
      doesn't use FM synthesis (except on one extension chip).</li>
 <li><a href=\"/source/fmengineqb.html\">fmengineqb</a> is an adlib
      S3M player for QuickBasic. Embed opl3emu as assembler code to
      it, and your AdlibS3M player in QuickBasic now works without
      an OPL3 chip :)</li>
 <li><a href=\"/source/echoamplifier.html\">echoamplifier</a> can be
      used to add echo to your adlib music.</li>
 <li><a href=\"/source/fmdrv.html\">fmdrv</a> plays MIDI files
      by direct AdLib port IO or by direct MPU-401 port IO.
      Source codes available for this one too.</li>
</ul>

");
include '/WWW/progdesc.php';
